cd "C:\Users\R500\Box Sync\Policy Evaluation\estimation"
use hh_98.dta, clear
log using matching.smcl, replace

gen lexptot=ln(1+exptot)
gen lnland=ln(1+hhland/100)

***Male participants
****pscore equation

pscore dmmfd sexhead agehead educhead lnland vaccess pcirr rice wheat milk oil egg [pw=weight], pscore(ps98) blockid(blockf1) comsup level(0.001)
	   
drop ps98 blockf1

pscore dmmfd sexhead agehead educhead vaccess pcirr rice wheat milk oil [pw=weight], pscore(ps98) blockid(blockf1) comsup level(0.001)

*distribution of common support
twoway ///
(kdensity ps98 if dmmfd==1, lpattern(longdash)) ///
(kdensity ps98 if dmmfd==0, lpattern(shortdash)), ///
legend(label(1 "Treatment") label(2 "Control")) ///
bgcolor(white) graphregion(color(white)) ytitle("Density") xtitle("Pscore")

****Nearest Neighbor Matching
attnd lexptot dmmfd [pweight=weight], pscore(ps98) comsup

****Stratification Matching
atts lexptot dmmfd, pscore(ps98) blockid(blockf1) comsup

****Radius Matching
attr lexptot dmmfd, pscore(ps98) radius(0.001) comsup

****Kernel Matching
attk lexptot dmmfd, pscore(ps98) comsup bootstrap reps(50)

clear
log close
