cd "C:\Users\R500\Box Sync\Policy Evaluation\estimation"
use hh_98.dta, clear
log using randomization.smcl, replace

describe
sum

gen lexptot=ln(1+exptot)
gen lnland=ln(1+hhland/100)
gen vill=thanaid*10+villid

egen progvillf=max(dfmfd), by(vill)

*2-sample t-test
ttest lexptot, by(progvillf)

sort progvillf
by progvillf: sum
ttest agehead, by(progvillf)

*density graphs
twoway ///
(kdensity agehead if progvillf==1, lpattern(longdash)) ///
(kdensity agehead if progvillf==0, lpattern(shortdash)), ///
legend(label(1 "Treatment") label(2 "Control")) ///
bgcolor(white) graphregion(color(white)) ytitle("Density") xtitle("Age of Househould Head")

*--- regression methods ----*

** impact of program placement
ttest lexptot, by(progvillf)

reg lexptot progvillf
reg lexptot progvillf sexhead agehead educhead lnland vaccess pcirr rice wheat milk oil egg [pw=weight]

** impact of program participation
ttest lexptot, by(dfmfd)

reg lexptot dfmfd
reg lexptot dfmfd sexhead agehead educhead lnland vaccess pcirr rice wheat milk oil egg [pw=weight]

** impact of both program placement and participation
reg lexptot dfmfd progvillf sexhead agehead educhead lnland vaccess pcirr rice wheat milk oil egg [pw=weight]

** impact of participation in program village
reg lexptot dfmfd if progvillf==1 [pw=weight]

reg lexptot dfmfd sexhead agehead educhead lnland vaccess pcirr rice wheat milk oil egg if progvillf==1 [pw=weight]

** with spillover effects
reg lexptot progvillf if dfmfd==0 [pw=weight]

reg lexptot progvillf sexhead agehead educhead lnland vaccess pcirr rice wheat milk oil egg if dfmfd==0 [pw=weight]

clear
log close
